nome = '';
centri = [50 70 120 10 100];
sigma  = [5 70 20 70 30];
pesi   = [10 50 10 13 3];

%%%%%%%%%%%%%%%%%%%%%%%%

data = load('profilof.asc');

x = data(:,1);
y = data(:,2);
x = x-min(x);
y = y-min(y);

minX = min(x);
maxX = max(x);
L = 1000; % punti di resampling

n = length(centri);
if (length(sigma) ~= n),
    fprintf('centri e sigma hanno lunghezza differente\n');
    return;
end;
if (length(pesi) ~= n),
    fprintf('centri e pesi hanno lunghezza differente\n');
    return;
end;

x_r = (minX:(maxX-minX)/(L-1):maxX)';
y_r = rbfric(centri', sigma', pesi', 0, x_r);
err_manual = sqrt(mean((y-rbfric(centri', sigma', pesi', 0, x)).^2));

pesi_auto = rbfpesi(centri', sigma', 0, x, y);
y_r_auto = rbfric(centri', sigma', pesi_auto, 0, x_r);
err_auto = sqrt(mean((y-rbfric(centri', sigma', pesi_auto, 0, x)).^2));

clf;
hold on;
plot(x_r, y_r, 'g-');
plot(x_r, y_r_auto, 'b-');
plot(x, y, 'ro');
axis equal;
title([nome '  -  Errore manuale: ' num2str(err_manual) '  Errore auto: ' ...
       num2str(err_auto)], 'FontSize', 16);
set(gca, 'FontSize', 12);